# fullcalendar-ag4

## Installation

To install this library, run:

```bash
$ npm install fullcalendar-ag4 --save
```

## Consuming your library

Once you have published your library to npm, you can import your library in any Angular application by running:

```bash
$ npm install fullcalendar-ag4
```

and then from your Angular `AppModule`:

```typescript
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';

// Import your library
import { CalendarModule } from 'fullcalendar-ag4';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,

    // Specify your library as an import
    CalendarModule.forRoot()
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
```

Once your library is imported, you can use its components, directives and pipes in your Angular application:

```xml
<!-- You can now use your library component in app.component.html -->
<h1>
  {{title}}
</h1>
<calendar-component></calendar-component>
```

To include the original FullCalendar.io styles, add the following statement to include the FullCalendar css in styles.css of the application.

```
@import "~fullcalendar-ag4/styles.css";
```

## Development

To generate all `*.js`, `*.d.ts` and `*.metadata.json` files:

```bash
$ npm run build
```

To lint all `*.ts` files:

```bash
$ npm run lint
```

## License

MIT © [Ka Tam](mailto:nkltam2003@gmail.com)
